local assets=
{
	Asset("ANIM", "anim/ground_tonspear.zip"),
	Asset("ANIM", "anim/swap_tonspear.zip"),
    Asset("ATLAS", "images/inventoryimages/tonspear.xml"),
}

local function onfinished(inst, owner)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
        if owner then
        local brokentool = SpawnPrefab("brokentool")
        brokentool.Transform:SetPosition(inst.Transform:GetWorldPosition() )
    inst:Remove()
	end
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_tonspear", "swap_ham_bat")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end

local function onnear(inst)
	inst.AnimState:PlayAnimation("playernear")
end

local function onfar(inst)
	inst.AnimState:PlayAnimation("playergone")
    inst.AnimState:PushAnimation("idle", true)
end    

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("ground_tonspear")
    anim:SetBuild("ground_tonspear")
--  anim:PlayAnimation("idle")
    inst.AnimState:PlayAnimation("playergone")
    inst.AnimState:PushAnimation("idle", true)
    
    inst:AddTag("sharp")

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(50)
    
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.CANE.USES)
    inst.components.finiteuses:SetUses(TUNING.CANE.USES)
    inst.components.finiteuses:SetOnFinished( onfinished )

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/tonspear.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst:AddComponent("playerprox")
    
    inst.components.playerprox:SetDist(2,3)
    inst.components.playerprox:SetOnPlayerNear(onnear)

    inst.components.playerprox:SetOnPlayerFar(onfar)
    
    return inst
end

return Prefab( "common/inventory/tonspear", fn, assets) 
